
Core - Bug # 53116

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Must have
Author: Matthias Kappenberg Category: Frontend
Created: 2013-10-25 Assigned To:
Subject: concatenateJs in conjunction with forceOnTop
Description

Hi All,

if I'm right the Typoscript setting "forceOnTop" has no effect in conjuntion with "concatenateJs".

Please try:

config {
  concatenateJs = 1
}

page {
  includeJSFooter {
    somefile = path/to/functions.js
    someotherfile = path/to/functions.js
    someotherfile.forceOnTop = 1
  }
}

If concatenateJs is disabled, it's working.

Can you confirm this behavior?

Related issues:
related to Core - Bug # 56019: ResourceCompressor: concatenateCss with forceO... Resolved 2014-02-16
related to Core - Bug # 56242: Fix JS concatenation if first file is forceOnT... Resolved 2014-02-24
duplicated by Core - Bug # 56233: Load order of js files differs Closed 2014-02-24

Associated revisions
Revision 599cdb66 - 2014-02-17 22:48 - Markus Klein

[BUGFIX] concatenateJs/Css does not consider forceOnTop

Setting the forceOnTop property for a JS or CSS file is not
observed if concatenateJs/Css is set as well.

Resolves: #53116
Resolves: #56019
Releases: 6.2, 6.1
Change-Id: Ica31656bd72f4a0249513206bac45aa16b929761
Reviewed-on: https://review.typo3.org/27640
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision c9ae284b - 2014-02-20 22:12 - Markus Klein

[BUGFIX] concatenateJs/Css does not consider forceOnTop

Setting the forceOnTop property for a JS or CSS file is not
observed if concatenateJs/Css is set as well.

Resolves: #53116
Resolves: #56019
Releases: 6.2, 6.1
Change-Id: Ica31656bd72f4a0249513206bac45aa16b929761
Reviewed-on: https://review.typo3.org/27672
Reviewed-by: Stefan Neufeind
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-02-15 21:32 - Markus Klein
- Status changed from New to Accepted
- Priority changed from Should have to Must have

#2 - 2014-02-16 11:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27640

#3 - 2014-02-16 17:39 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27640

#4 - 2014-02-16 17:44 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27640

#5 - 2014-02-17 22:51 - Gerrit Code Review
Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27672

#6 - 2014-02-17 23:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:599cdb66a8bc9ac4f72afffe704f3b6f5afc35c0.

#7 - 2014-03-10 16:37 - Daniel Siepmann
- Parent task set to #55575
